const httpRequestt = {
    getproyectos() {
        return ajaxRequestGeneral({
            url: PATH_SERVICIO_REST + 'proyecto/listarProyectoUsuario',
            type: 'POST',
            headers: {
                "Content-type": 'application/json',
                "Accept": 'application/json',
                "Authorization": Cookies.get('Authorization')
            }

        })
    }

}
let DOMNav = {
    init() {
        this.setProyecto();
        this.setUsuario();
    },
    setProyecto() {

//        console.log("TOKEN : : : : :" + Cookies.get('Authorization'));
        httpRequestt.getproyectos()
                .then(data => {
                    if (data.status) {
                        let html = '';
                        let proyectos = data.proyectos;
                        let auth = Cookies.get('Authorization');
//                        console.log(proyectos)
                        let urls = '';
                        for (let i in proyectos) {
                            let url = proyectos[i].url;//produccion
                            let cp = proyectos[i].codigoProyecto;//produccion

                            if (cp === CODIGO_PROYECTO) {
                                continue;
                            }

                            html += '<li><a target="_blank" href="../vistas/interceptar?p=' + url + 'vistas/redireccionarServlet&cp=' + cp + '" class="redirect" > '//<img src="assets/images/flags/de.png" alt="">
                                    + /*'<i class="glyphicon glyphicon-arrow-right"></i>'+*/proyectos[i].nombre + '</a></li>';
                        }
                        document.getElementById("proyectos").innerHTML = html;

                    } else {
                        customSwal.alert('¡Error!', "No se han cargado sus proyectos", 'error')
                    }
//                console.log(data)
                })
                .catch(err => console.log(err))
    },
    setUsuario() {
        document.querySelector(".usuario-nombre").innerHTML = window.nombreUsuario;
    }
}


DOMNav.init();
